VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsProject"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Public Enum eProject
    Default_Directory
    CSS_Directory
    Graphics_Directory
    Startsite
    StyleSheet_File
    HTML_Head
    AddCSS
    Open_StartSite
End Enum

Private mvarProjectFile As String
Public Property Let ProjectFile(ByVal vData As String)

mvarProjectFile = vData

End Property

Public Property Get ProjectFile() As String

ProjectFile = mvarProjectFile

End Property

Private Function GetINISetting(Filename As String, Key As String, Setting As String, Default)


            '###############################################
            '# Aufgabe: List Einstellungen aus einer       #
            '#          INI-Datei                          #
            '# Parameter: INI-Datei,Kategorie, Unter-      #
            '#            Kategorie, Voreinstellung        #
            '# Rckgabewerte: Wert                         #
            '###############################################

Dim Temp As String * 1000

Call GetPrivateProfileString(Key, Setting, CStr(Default), Temp, Len(Temp), Filename)
GetINISetting = DelNulls(Trim(Temp))

End Function

Private Sub SaveINISetting(Filename As String, Key As String, Setting As String, value)

            '###############################################
            '# Aufgabe: Speichert Einstellungen in einer   #
            '#          INI-Datei                          #
            '# Parameter: INI-Datei,Kategorie, Unter-      #
            '#            Kategorie, Wert der Einstellung  #
            '# Rckgabewerte: -                            #
            '###############################################

Call WritePrivateProfileString(Key, Setting, CStr(value), Filename)
   
End Sub

Private Function DelNulls(Text As String)

            '###############################################
            '# Aufgabe: Entfernt Nullen aus einem String   #
            '# Parameter: Text                             #
            '# Rckgabewerte: -                            #
            '###############################################

Dim varcounter As Long
Dim NewStr As String
            
For varcounter = 1 To Len(Text)
    If Mid$(Text, varcounter, 1) <> Chr(0) Then
        NewStr = NewStr & Mid$(Text, varcounter, 1)
    End If
Next varcounter

DelNulls = NewStr$

End Function

Public Function GetSetting(vSetting As eProject) As Variant

If vSetting = Default_Directory Then
    GetSetting = GetINISetting(mvarProjectFile, "Pfade", "Standardverzeichnis", "")
ElseIf vSetting = CSS_Directory Then
    GetSetting = GetINISetting(mvarProjectFile, "Pfade", "CSSverzeichnis", "")
ElseIf vSetting = Graphics_Directory Then
    GetSetting = GetINISetting(mvarProjectFile, "Pfade", "Grafikverzeichnis", "")
ElseIf vSetting = Startsite Then
    GetSetting = GetINISetting(mvarProjectFile, "Optionen", "Startseite", "")
ElseIf vSetting = StyleSheet_File Then
    GetSetting = GetINISetting(mvarProjectFile, "Optionen", "StyleSheetDatei", "")
ElseIf vSetting = HTML_Head Then
    GetSetting = GetINISetting(mvarProjectFile, "Optionen", "HTML-Grundgerst", 0)
ElseIf vSetting = AddCSS Then
    GetSetting = GetINISetting(mvarProjectFile, "Optionen", "CSSEinfgen", 0)
ElseIf vSetting = Open_StartSite Then
    GetSetting = GetINISetting(mvarProjectFile, "Optionen", "Startseiteffnen", 0)
End If

End Function

Public Sub SaveSetting(vSetting As eProject, value As Variant)

If vSetting = Default_Directory Then
    SaveINISetting mvarProjectFile, "Pfade", "Standardverzeichnis", value
ElseIf vSetting = CSS_Directory Then
    SaveINISetting mvarProjectFile, "Pfade", "CSSverzeichnis", value
ElseIf vSetting = Graphics_Directory Then
    SaveINISetting mvarProjectFile, "Pfade", "Grafikverzeichnis", value
ElseIf vSetting = Startsite Then
    SaveINISetting mvarProjectFile, "Optionen", "Startseite", value
ElseIf vSetting = StyleSheet_File Then
    SaveINISetting mvarProjectFile, "Optionen", "StyleSheetDatei", value
ElseIf vSetting = HTML_Head Then
    SaveINISetting mvarProjectFile, "Optionen", "HTMl-Grundgerst", value
ElseIf vSetting = AddCSS Then
    SaveINISetting mvarProjectFile, "Optionen", "CSSEinfgen", value
ElseIf vSetting = Open_StartSite Then
    SaveINISetting mvarProjectFile, "Optionen", "Startseiteffnen", value
End If

End Sub


